//
// BunkerMaster - Copyright (c) 2005 Rodrigo Braz Monteiro
// Rodrigo Braz Monteiro's entry for Speedhack 05
// This source file is subject to GNU General Public License
// See included license.txt for more information
//
// You can reach the author at:
// http://zeratul.cellosoft.com
// zeratul@cellosoft.com
//


#ifndef IMAGES_H
#define IMAGES_H


//////////////
// Prototypes
struct BITMAP;


////////////
// Includes
#include <map>
#include <string>


////////////////
// Images class
class ImagesManager {
private:
	std::map<std::string,BITMAP*> imgs;

public:
	ImagesManager();
	BITMAP *GetImage(std::string name);
};


//////////
// Global
extern ImagesManager Images;


#endif
