//
// BunkerMaster - Copyright (c) 2005 Rodrigo Braz Monteiro
// Rodrigo Braz Monteiro's entry for Speedhack 05
// This source file is subject to GNU General Public License
// See included license.txt for more information
//
// You can reach the author at:
// http://zeratul.cellosoft.com
// zeratul@cellosoft.com
//


#ifndef INPUT_H
#define INPUT_H


////////////////
// Enum of keys
enum {
	Key_A,
	Key_B,
	Key_Start,
	Key_Select,
	Key_Left,
	Key_Right,
	Key_Up,
	Key_Down,
	Key_Minus,
	Key_Plus
};


///////////////
// Input class
class InputClass {
private:
	bool KeyPrev[10];

public:
	bool KeyUp[10];
	bool KeyDown[10];
	bool Key[10];

	InputClass();
	void Update();
};


///////////////////
// Global instance
extern InputClass Input;


#endif
