//
// BunkerMaster - Copyright (c) 2005 Rodrigo Braz Monteiro
// Rodrigo Braz Monteiro's entry for Speedhack 05
// This source file is subject to GNU General Public License
// See included license.txt for more information
//
// You can reach the author at:
// http://zeratul.cellosoft.com
// zeratul@cellosoft.com
//


#ifndef AIRDROP_H
#define AIRDROP_H


///////////
// Headers
#include "object.h"


//////////////
// Prototypes
class FramePlay;


/////////////////
// Airdrop class
class AirDrop: public Object {
private:
	bool IsEnemy;
	int timer;

public:
	AirDrop(bool enemy,double target_x);
	~AirDrop();

	void Update();
	static int NextDrop;
	static int AirDropping;
	static void TryAirDrop(FramePlay *parent);
};


#endif
